<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Bat-Erdene</title>
    <link rel="stylesheet" href="styles/styles.css" />
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css"
      integrity="sha512-1ycn6IcaQQ40/MKBW2W4Rhis/DbILU74C1vSrLJxCq57o941Ym01SwNsOMqvEBFlcgUa6xLiPY/NS5R+E6ztJQ=="
      crossorigin="anonymous"
      referrerpolicy="no-referrer"
    />
    <link
      href="https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700;800&display=swap"
      rel="stylesheet"
    />
  </head>
  <body class="main-content">
    <header class="container header active" id="home">
      <div class="header-content">
        <div class="left-header">
          <div class="h-shape"></div>
          <div class="image">
            <img src="img/profile_small.png" alt="" />
          </div>
        </div>
        <div class="right-header">
          <h1 class="name">
            Hi, I'm <span>Bat-Erdene.</span>
            A Programmer.
          </h1>
          <p>
            I'm a programmer, I love to create beautiful and functional games
            also love solving competitive programming problems.
          </p>
          <div class="btn-con">
            <a href="" class="main-btn">
              <span class="btn-text">Download CV</span>
              <span class="btn-icon"><i class="fas fa-download"></i></span>
            </a>
          </div>
        </div>
      </div>
    </header>
    <main>
      <section class="container about" id="about">
        <div class="main-title">
          <h2>About <span>me</span><span class="bg-text">my stats</span></h2>
        </div>
        <div class="about-container">
          <div class="left-about">
            <h4>Information About me</h4>
            <p>
              I am a 18-year-old from Mongolia. I am also frequently known by my
              username Mazaalai.
              <br />
              <br />
              I was in 9-th grade when I learned how to write code. Slowly, I
              learned about the endless possibilities of programming along with
              the enjoyment of making my dream come true. Ever since this
              initial exposure, I've been dedicated to programming.
              <br />
              <br />
              In addition to being passionate about programming, I am eager to
              challenge myself to do things I've never accomplished before and I
              like to read books in my free time.
            </p>
            <div class="btn-con">
              <a href="#" class="main-btn">
                <span class="btn-text">Download CV</span>
                <span class="btn-icon"><i class="fas fa-download"></i></span>
              </a>
            </div>
          </div>
          <div class="right-about">
            <div class="about-item">
              <div class="abt-text">
                <p class="large-text">3000+</p>
                <p class="small-text">
                  Problems <br />
                  Solved <br />
                  In C++ <br />
                  Language
                </p>
              </div>
            </div>
            <div class="about-item">
              <div class="abt-text">
                <p class="large-text">4</p>
                <p class="small-text">
                  Years of <br />
                  experience
                </p>
              </div>
            </div>
            <div class="about-item">
              <div class="abt-text">
                <p class="large-text">10+</p>
                <p class="small-text">Projects</p>
              </div>
            </div>
            <div class="about-item">
              <div class="abt-text">
                <p class="large-text">Top 1%</p>
                <p class="small-text">
                  Comptetitive <br />
                  Programming
                </p>
              </div>
            </div>
          </div>
        </div>
        <div class="about-stats">
          <h4 class="stat-title">My Skills</h4>
          <div class="progress-bars">
            <div class="progress-bar">
              <p class="prog-title">C/C++</p>
              <div class="progress-con">
                <p class="prog-text">95%</p>
                <div class="progress">
                  <span class="CPP"></span>
                </div>
              </div>
            </div>
            <div class="progress-bar">
              <p class="prog-title">Python</p>
              <div class="progress-con">
                <p class="prog-text">90%</p>
                <div class="progress">
                  <span class="Python"></span>
                </div>
              </div>
            </div>
            <div class="progress-bar">
              <p class="prog-title">HTML</p>
              <div class="progress-con">
                <p class="prog-text">90%</p>
                <div class="progress">
                  <span class="HTML"></span>
                </div>
              </div>
            </div>
            <div class="progress-bar">
              <p class="prog-title">CSS</p>
              <div class="progress-con">
                <p class="prog-text">90%</p>
                <div class="progress">
                  <span class="CSS"></span>
                </div>
              </div>
            </div>
            <div class="progress-bar">
              <p class="prog-title">javascript</p>
              <div class="progress-con">
                <p class="prog-text">75%</p>
                <div class="progress">
                  <span class="javascript"></span>
                </div>
              </div>
            </div>
            <div class="progress-bar">
              <p class="prog-title">ReactJS</p>
              <div class="progress-con">
                <p class="prog-text">60%</p>
                <div class="progress">
                  <span class="react"></span>
                </div>
              </div>
            </div>
          </div>
        </div>
        <h4 class="stat-title">My Timeline</h4>
        <div class="timeline">
          <div class="timeline-item">
            <div class="tl-icon">
              <i class="fas fa-book"></i>
            </div>
            <p class="tl-duration">2019 - present</p>
            <h5>C++ Programmer<span> - Mongolia</span></h5>
            <p>
              Won a bronze medal in IOI <br />
              Won a bronze medal in IZHO <br />
              Won a bronze medal in Lotfi Zadeh Olympiad <br />
              Won a bronze medal in National olympiad in Informatics Mongolia
              <br />
              Won a gold medal in Ulaanbaatar Informatics olympiad
            </p>
          </div>
          <div class="timeline-item">
            <div class="tl-icon">
              <i class="fas fa-book"></i>
            </div>
            <p class="tl-duration">2014 - 2016</p>
            <h5>Mental calculation Athlete<span> - Mongolia</span></h5>
            <p>
              Won a gold medal in Mental calendar and dates (2016 MEMORIAD
              Turkey OPEN Championship) <br />
              Won a silver medal (Mongolian mental calculation olympiad)
            </p>
          </div>
          <div class="timeline-item">
            <div class="tl-icon">
              <i class="fas fa-book"></i>
            </div>
            <p class="tl-duration">2016 - 2018</p>
            <h5>Memory Athlete<span> - Mongolia</span></h5>
            <p>
              Broke a world record in memorising abstract images (kids) <br />
              Got 4th place in Malaysia memory championship (kids) <br />
              Got bronze medal in memorising binary digits (Memoriad 2016 world
              mental Olympics)
            </p>
          </div>
          <div class="timeline-item">
            <div class="tl-icon">
              <i class="fas fa-book"></i>
            </div>
            <p class="tl-duration">2022 - Present</p>
            <h5>Software developer<span> - Steppe link holding</span></h5>
            <p>working as a software developer</p>
          </div>
          <div class="timeline-item">
            <div class="tl-icon">
              <i class="fas fa-book"></i>
            </div>
            <p class="tl-duration">2012 - present</p>
            <h5>Mathematics<span> - Mongolia</span></h5>
            <p>
              Won a bronze medal in IIMC Mongolia (9-10th grade) <br />
              Won a silver medal in Ulaanbaatar Mathematic olympiad (8th grade)
            </p>
          </div>
          <div class="timeline-item">
            <div class="tl-icon">
              <i class="fas fa-book"></i>
            </div>
            <p class="tl-duration">2012 - present</p>
            <h5>Web developer</h5>
            <p>full-stack developer</p>
          </div>
        </div>
      </section>
      <section class="container" id="portfolio">
        <div class="main-title">
          <h2>
            Competitive <span>Programming</span
            ><span class="bg-text">My Experience</span>
          </h2>
        </div>
        <p class="port-text">
          One of the areas which I have the most expertise in is CP (Competitive
          Programming). Most notably, I obtained bronze medal at the 34th IOI
          (International Olympiad in Informatics). I started CP in November,
          2019 and have roughly three years of experience. As I practice, the
          feeling I love most is getting an "Correct answer" on a hard problem
          after hours of hard work. I solve problem for the feeling of
          fulfillment it gives me. Competitive programming gives me the feeling
          of building a house. Starting from the first line I type every line of
          code just like how a building is built from the ground. Here are a few
          of my Competitive programming profiles
        </p>
        <div class="portfolios">
          <div class="portfolio-item">
            <div class="image">
              <img src="img/IOI_2022_logo1.png" alt="" />
            </div>
            <div class="hover-items">
              <h3>
                International <br />
                Olympiad in <br />
                Informatics
              </h3>
              <h4
                onclick="navigate('https://stats.ioinformatics.org/people/7529')"
              >
                Particpated 2 times <br />
                Won a bronze medal in IOI
              </h4>
            </div>
          </div>
          <div class="portfolio-item">
            <div class="image">
              <img src="img/hackateen_logo.png" alt="" />
            </div>
            <div class="hover-items">
              <h3>Hackateen</h3>
              <h4
                onclick="navigate('https://www.facebook.com/NestEducationSchool/posts/pfbid0aaG3uWYWdfaGx2K5efFFaLNJaA5eq73Ny7eYwPRMUcuJLwws1LpXUKoJRz1mefYCl')"
              >
                Particpated 2 times <br />
                Won 2nd and 3rd place
              </h4>
            </div>
          </div>
          <div class="portfolio-item">
            <div class="image">
              <img src="img/codeforces.png" alt="" />
            </div>
            <div class="hover-items">
              <h3>Codeforces</h3>
              <h4 onclick="navigate('https://codeforces.com/profile/Mikasa')">
                Particpated over 200+ contests <br />
                rating: 2100+ (master) <br />
                solved over 2000+ problems
              </h4>
            </div>
          </div>
          <div class="portfolio-item">
            <div class="image">
              <img src="img/leetcode.png" alt="" />
            </div>
            <div class="hover-items">
              <h3>Leetcode</h3>
              <h4 onclick="navigate('https://leetcode.com/Mazaalai/')">
                Particpated over 100+ contests <br />
                rating: 2400+ (Guardian) <br />
                solved over 600+ problems
              </h4>
            </div>
          </div>
          <div class="portfolio-item">
            <div class="image">
              <img src="img/atcoder_logo.png" alt="" />
            </div>
            <div class="hover-items">
              <h3>Atcoder</h3>
              <h4 onclick="navigate('https://atcoder.jp/users/Mazaalai')">
                Particpated over 20+ contests <br />
                rating: 1600+ (2 Kyu) <br />
                solved over 100+ problems
              </h4>
            </div>
          </div>
          <div class="portfolio-item">
            <div class="image">
              <img src="img/usaco.png" alt="" />
            </div>
            <div class="hover-items">
              <h3>USACO</h3>
              <h4 onclick="navigate('https://usaco.guide')">
                Particpated over 5+ contests <br />
                Rank: gold <br />
                solved over 400+ problems
              </h4>
            </div>
          </div>
        </div>
      </section>
      <section class="container" id="blogs">
        <div class="blogs-content">
          <div class="main-title">
            <h2>
              My <span>Activities</span
              ><span class="bg-text">My Activities</span>
            </h2>
          </div>
          <div class="blogs">
            <div class="blog" onclick="navigate('https://ioi2022.id/')">
              <img src="img/ioi_team_mongolia.jpeg" alt="" />
              <div class="blog-text">
                <h4>IOI 2022 team Mongolia (Indonesia)</h4>
                <p>particpated in IOI 2022</p>
              </div>
            </div>
            <div
              class="blog"
              onclick="navigate('http://www.memoriad.com/index.asp?s=kisiler&b=kisi-profil&kisiid=d80ffd0d97009d1061204b915d173c37&lang=EN#profile')"
            >
              <img src="img/Memoriad_Mongolia_team.jpeg" alt="" />
              <div class="blog-text">
                <h4>Memory Olympics (America)</h4>
                <p>particpated in Memoriad 2016 world mental Olympics</p>
              </div>
            </div>
            <div
              class="blog"
              onclick="navigate('http://www.world-memory-statistics.co.uk/competition.php?id=myokmc2016')"
            >
              <img src="img/Malaysia_memory_olympiad.jpeg" alt="" />
              <div class="blog-text">
                <h4>Malaysia memory championship</h4>
                <p>particpated in Malaysia open memory championship 2016</p>
              </div>
            </div>
            <div
              class="blog"
              onclick="navigate('http://www.memoriad.com/index.asp?s=yarismalar&lang=EN&b=yarisma-detay&yarismaid=b51649ca775e352aa123cc849dd8b580#results')"
            >
              <img src="img/turkey_mongolia_team.jpeg" alt="" />
              <div class="blog-text">
                <h4>Mental calculation olympiad (Turkey)</h4>
                <p>participated in 2016 MEMORIAD Turkey OPEN Championship</p>
              </div>
            </div>
            <div
              class="blog"
              onclick="navigate('https://first.global/2021-nations/mongolia-2021/')"
            >
              <img src="img/first.global.webp" alt="" />
              <div class="blog-text">
                <h4>First global challenge</h4>
                <p>participated in First global challenge and built a robot</p>
              </div>
            </div>
            <div
              class="blog"
              onclick="navigate('https://www.facebook.com/NestEducationSchool/photos/a.2302734646632082/2680470678858475/')"
            >
              <img src="img/hackateen_team_invescore.jpeg" alt="" />
              <div class="blog-text">
                <h4>Hackateen 2020</h4>
                <p>participated in Hackateen 2020 and won 1st place overall</p>
              </div>
            </div>
          </div>
        </div>
      </section>
      <section class="container contact" id="contact">
        <div class="contact-container">
          <div class="main-title">
            <h2>Contact <span>Me</span><span class="bg-text">Contact</span></h2>
          </div>
          <div class="contact-content-con">
            <div class="left-contact">
              <h4>Contact me here</h4>
              <div class="contact-info">
                <div class="contact-item">
                  <div class="icon">
                    <i class="fas fa-map-marker-alt"></i>
                    <span>Location</span>
                  </div>
                  <p>: Ulaanbaatar, Mongolia</p>
                </div>
                <div class="contact-item">
                  <div class="icon">
                    <i class="fas fa-envelope"></i>
                    <span>Email</span>
                  </div>
                  <p>
                    <span>: baterdene.batsukh0301@gmail.com</span>
                  </p>
                </div>
                <div class="contact-item">
                  <div class="icon">
                    <i class="fas fa-user-graduate"></i>
                    <span>Education</span>
                  </div>
                  <p>
                    <span>: Nest education IT school</span>
                  </p>
                </div>
                <div class="contact-item">
                  <div class="icon">
                    <i class="fas fa-user-graduate"></i>
                    <span>Mobile Number</span>
                  </div>
                  <p>
                    <span>: +976 96774496</span>
                  </p>
                </div>
                <div class="contact-item">
                  <div class="icon">
                    <i class="fas fa-globe-africa"></i>
                    <span>Languages</span>
                  </div>
                  <p>
                    <span>: Mongolia, English</span>
                  </p>
                </div>
              </div>
              <div class="contact-icons">
                <div class="contact-icon">
                  <a
                    href="https://www.facebook.com/MazaalaiBatErdene/"
                    target="https://www.facebook.com/MazaalaiBatErdene/"
                  >
                    <i class="fab fa-facebook-f"></i>
                  </a>
                  <a
                    href="https://github.com/MNGLMazaalai"
                    target="https://github.com/MNGLMazaalai"
                  >
                    <i class="fab fa-github"></i>
                  </a>
                  <a
                    href="https://gitlab.com/n.baterdene.goodgodking"
                    target="https://gitlab.com/n.baterdene.goodgodking"
                  >
                    <i class="fab fa-gitlab"></i>
                  </a>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
    </main>

    <div class="controls">
      <div class="control active-btn" data-id="home">
        <i class="fas fa-home"></i>
      </div>
      <div class="control" data-id="about">
        <i class="fas fa-user"></i>
      </div>
      <div class="control" data-id="portfolio">
        <i class="fas fa-book"></i>
      </div>
      <div class="control" data-id="blogs">
        <i class="far fa-newspaper"></i>
      </div>
      <div class="control" data-id="contact">
        <i class="fas fa-envelope-open"></i>
      </div>
    </div>
    <div class="theme-btn">
      <i class="fas fa-adjust"></i>
    </div>
    <script src="app.js"></script>
  </body>
</html>
